Name:             gnome-font-viewer
Version:          3.30.0
Release:          3
Summary:          Utility for previewing fonts for GNOME
License:          GPLv2+
URL:              http://www.gnome.org/gnome-3/
Source0:          http://ftp.gnome.org/pub/GNOME/sources/gnome-font-viewer/3.30/gnome-font-viewer-%{version}.tar.xz
BuildRequires:    meson >= 0.40.1 pkgconfig(glib-2.0) >= 2.35.1 pkgconfig(gtk+-3.0) >= 3.20.0 pkgconfig(harfbuzz) >= 0.9.9
BuildRequires:    pkgconfig(fontconfig) pkgconfig(freetype2) pkgconfig(gnome-desktop-3.0) gettext desktop-file-utils
BuildRequires:    libappstream-glib
BuildRequires:    gcc gcc-c++

%description
The Font Viewer application has been rewritten to match the new design used for
GNOME 3 applications.It can now show an overview of all installed fonts and
optimizes screen space usage when the application is maximized.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang gnome-font-viewer --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.font-viewer.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.font-viewer.appdata.xml


%files -f gnome-font-viewer.lang
%doc NEWS COPYING
%{_bindir}/gnome-*
%{_datadir}/applications/org.gnome.font-viewer.desktop
%{_datadir}/dbus-1/services/org.gnome.font-viewer.service
%{_datadir}/metainfo/org.gnome.font-viewer.appdata.xml
%{_datadir}/thumbnailers/gnome-font-viewer.thumbnailer


%changelog
* Tue May 18 2021 lin.zhang <lin.zhang@turbolinux.com.cn> - 3.30.0-3
- add BuildRequires gcc gcc-c++

* Wed Dec 11 2019 likexin <likexin4@huawei.com@huawei.com> - 3.30.0-2
- package init
